Project

General

Profile

Feature #16375

Prevent version mismatches among binary packages from src:linux

Added by anonym about 1 month ago.

Status:
Confirmed
Priority:
Normal
Assignee:
-
Category:
Build system
Target version:
-
Start date:
01/19/2019
Due date:
% Done:

0%

QA Check:
Feature Branch:
Type of work:
Code
Blueprint:
Starter:
Affected tool:

Description

While preparing Tails 3.12~rc1 I got this error from tag-apt-snapshots:

I: Pulling packages from the time-based snapshots into the tagged ones
I: - debian
Two lines describing 'linux' in '/srv/apt-snapshots/time-based/tmp/tmp.zp6ly8EXOP/debian/conf/debian-sid.src'!

Indeed, we were mixing versions; from the .build-manifest I was passing to tag-apt-snapshots:
  - arch: amd64
    package: linux-headers-4.19.0-1-amd64
    version: 4.19.13-1
  - arch: all
    package: linux-headers-4.19.0-1-common
    version: 4.19.13-1
  - arch: amd64
    package: linux-image-4.19.0-1-amd64
    version: 4.19.13-1
  - arch: amd64
    package: linux-kbuild-4.19
    version: 4.19.16-1
  - arch: all
    package: linux-source-4.19
    version: 4.19.16-1

Intrigeri proposes a fix:

I think we could have an ad-hoc check in the ISO build that detects version mismatches between binary pkgs built from src:linux. Would have spotted this earlier, and reported about the problem in a way that matches devs/RMs mindset better, as opposed to reporting a low level error about an APT snapshots implementation detail.

(a more generic check would be doable but I wouldn't bother; the problem here stems from the fact linux binary pkg names change accross versions; so IMO an ad-hoc check would have a much better cost/benefit ratio)


Related issues

Blocks Tails - Feature #15507: Core work 2019Q1: Foundations Team Confirmed 04/08/2018

History

#1 Updated by anonym about 1 month ago

Also available in: Atom PDF